.social-medias {
  display: inline-flex;
  flex-wrap: wrap;
  align-items: center;
  row-gap: 3px;
  column-gap: 8px;
  margin: 0;
}
.social-media,
.social-media > a {
  display: inline-flex;
  align-items: center;
  justify-content: center;
}

.social-media > a {
  width: var(--icon-bg-size);
  height: var(--icon-bg-size);
  border-radius: var(--icon-bg-radius);
  overflow: hidden;
  background: var(--icon-bg-color);
  border: 1px solid var(--icon-bg-border-color);
}

.social-media i {
  line-height: 1;
  color: var(--icon-color);
  font-size: var(--icon-size);
}
.social-medias.media-color .social-media i {
  font-size: calc(var(--icon-size) * 1.1);
}
.social-medias.media-stroke .social-media > a.alibaba i {
  font-size: calc(var(--icon-size) * 1.2);
}
.social-medias.media-color .social-media > a.alibaba i {
  font-size: calc(var(--icon-size) * 1.3);
}

.social-media img {
  width: var(--icon-size);
}

.social-medias.media-color .social-media > a.facebook {
  background: #1877f2;
}
.social-medias.media-color .social-media > a.instagram {
  background: linear-gradient(180deg, #7024C4 0%, #C21975 41.5%, #C74C4D 70.2%, #E09B3D 100%);
}
.social-medias.media-color .social-media > a.youtube {
  background: #F52929;
}
.social-medias.media-color .social-media > a.pinterest {
  background: #EA332A;
}
.social-medias.media-color .social-media > a.twitter,
.social-medias.media-color .social-media > a.tiktok {
  background: #000;
}
.social-medias.media-color .social-media > a.linkedin {
  background: #007AB7;
}
.social-medias.media-color .social-media > a.alibaba {
  background: #FF6000;
}